[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#477909: trang: adjust build-dependency (gcj not built on alpha, arm, hppa and hurd-i386)

Package: trang
Version: 20030619-6
Severity: serious
User: debian-java@lists.debian.org
Usertags: gcj-bd

gij/gcj and java-gcj-compat are not available (anymore) on the following
architectures: alpha, arm, hppa and hurd-i386.

This package has been identified as a package which build-depends on
gcj or java-gcj-compat-dev and builds at least one architecture
dependent package, and is unbuildable in unstable. If this report is a
false positive, please close it.

All gcj related build dependencies have to restricted to these
architectures on which a java or java compatible development kit /
compiler is available, i.e.

  java-gcj-compat [!alpha !arm !hppa !hurd-i386]

As a second step please consider changing the java-gcj-compat-dev b-d
to default-jdk-builddep, making the package independent of a specific
implementation and depend on the jdk, which is most suitable for this
architecture. default-jdk-builddep will depend in addition on
java-gcj-compat-dev, even if the default jdk is another one (to allow
to compile byte-code to native code using dh_nativejava).

A package build-depending on default-jdk-builddep should use as
JAVA_HOME /usr/lib/jvm/default-java, or as path for the tools

If the package builds just architecture dependent binaries which
contain only byte-code compiled to native code (packages which often
end with "-gcj"), then the architecture restrictions on the build
dependency may not be needed (however the package cannot be built
anymore on those archs). In this case make sure that the binary
packages get removed on these architectures.

Please check the influence of a package upload on ongoing transitions
before an upload.

Reply to: